<?php
/**
 * This partial defines the content of the subscribe dialog.
 *
 * @package    Nelio_Content
 * @subpackage Nelio_Content/admin/views/account
 * @author     David Aguilera <david.aguilera@neliosoftware.com>
 * @since      1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}//end if

?>

<script type="text/template" id="_nc-subscribe-dialog">

		{{# if ( ! areProductsReady ) { }}

			<div class="nc-loading-container">
				<span class="spinner is-active"></span>
				<p><?php
					echo esc_html_x( 'Loading products&hellip;', 'text', 'nelio-content' );
				?></p>
			</div><!-- .nc-loading-container -->

		{{# } else { }}

			<p style="margin-top:0;"><?php
				echo esc_html_x( 'Please, select the plan you want to subscribe to:', 'user', 'nelio-content' );
			?></p>

			<table class="nc-fastspring-product">
				<tr>

					<td><input type="radio" name="nc-fastspring-product" value="personal"{{# if ( 'personal' === selectedProduct ) { }} checked="checked"{{# } }} /></td>
					<td>
						<div class="nc-name-and-prices">
							<span class="nc-name"><?php
								echo esc_html_x( 'Nelio Content Personal', 'text', 'nelio-content' );
							?></span>
							<span class="nc-prices">
								{{ personalPlanPrices }}
							</span><!-- .nc-prices -->
						</div><!-- .nc-name-and-prices -->
						<div class="nc-description"><?php
							echo esc_html_x( 'This plan is for one user with up to 10 social profiles and unlimited number of social messages.', 'text', 'nelio-content' );
						?></div>
					</td>

				</tr>
			</table><!-- .nc-fastspring-product -->

			<table class="nc-fastspring-product">
				<tr>

					<td><input type="radio" name="nc-fastspring-product" value="team" {{# if ( 'team' === selectedProduct ) { }} checked="checked"{{# } }}/></td>
					<td>
						<div class="nc-name-and-prices">
							<span class="nc-name"><?php
								echo esc_html_x( 'Nelio Content Team', 'text', 'nelio-content' );
							?></span>
							<span class="nc-prices">
								{{ teamPlanPrices }}
							</span><!-- .nc-prices -->
						</div><!-- .nc-name-and-prices -->
						<div class="nc-description"><?php
							echo esc_html_x( 'This plan is for a team with unlimited number of users with up to 25 social profiles and unlimited number of social messages.', 'text', 'nelio-content' );
						?></div>
					</td>

				</tr>
			</table><!-- .nc-fastspring-product -->

			<div class="nc-addons">

				<div class="nc-social-automations">
					<input type="checkbox"{{# if ( areAutomationsEnabled ) { }} checked="checked"{{# } }} />
					<strong><?php echo esc_html_x( 'Social Automations.', 'text', 'nelio-content' ); ?></strong>
					<span class="nc-description"><?php echo esc_html_x( 'The most intelligent way to automate your social media. Let Nelio Content fill your calendar automatically with your WordPress content.', 'user', 'nelio-content' ); ?></span>
				</div>

			</div><!-- .nc-addons -->

		{{# } }}

</script><!-- #_nc-subscribe-dialog -->

