<?php
/**
 * This partial corresponds to the upgrade trial dialog.
 *
 * @package    Nelio_Content
 * @subpackage Nelio_Content/admin/views
 * @author     David Aguilera <david.aguilera@neliosoftware.com>
 * @since      1.3.0
 */

/**
 * List of vars used in this partial:
 *
 * None.
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}//end if

?>

<script type="text/template" id="_nc-upgrade-trial-dialog">

	<p><?php
		printf(
			_x( 'The most intelligent way to automate your social media. Let Nelio Content fill your calendar automatically with your WordPress content. <a href="%s" target="_blank">Learn more</a>', 'user', 'nelio-content' ),
			__( 'https://neliosoftware.com/content/help/introduction-to-social-automations/', 'nelio-content' )
		);
	?></p>

	{{# if ( monthlyPrice ) { }}
		<p class="nc-upgrade-message"><?php
			printf(
				esc_html( _x( 'Only %s extra per month. First month free. Enable Social Automations today!', 'user', 'nelio-content' ) ),
				'{{ monthlyPrice }}'
			);
		?></p>
	{{# } else { }}
		<p class="nc-upgrade-message"><?php
			printf(
				esc_html( _x( 'Enable Social Automations today and enjoy the first month for free!', 'user', 'nelio-content' ) ),
				'{{ monthlyPrice }}'
			);
		?></p>
	{{# } }}

</script><!-- #_nc-upgrade-trial-dialog -->

